- @page_title = 'Journal de changements'

%section
  %p.-mbl Tous les points abordés ici sont actifs sur cette instance.

- if unreleased_changes?
  = render 'changelog_entry', title: 'En cours de test', date: nil do
    = render 'app/unreleased_changes'

-# = render 'changelog_entry', date: '13/01/2022', version: '0.8.0', title: '' do
  %ul
    %li
      %strong Changements importants
      %ul
        %li
    %li
      %strong Nouvelles fonctionnalités
      %ul
        %li
    %li
      %strong Améliorations
      %ul
        %li
    %li
      %strong Corrections
      %ul
        %li

= render 'changelog_entry', date: '11/01/2025',
                            version: '0.16.1',
                            title: "Correction de la génération d'image docker" do
  %ul
    %li
      %strong Corrections
      %ul
        %li
          Image Docker
          %ul
            %li
              Correction de variables incorrectes pour Docker compose (<code>SECRET_KEY_JWT</code> et
              <code>INSTANCE_ALLOWED_CORS_ORIGINS</code>)
            %li Correction de la génération de l'image <code>latest</code>

= render 'changelog_entry', date: '05/12/2024',
                            version: '0.16.0',
                            title: 'Rotations de culture et commentaires' do
  %ul
    %li
      %strong Nouvelles fonctionnalités
      %ul
        %li
          Rotations de culture
          %ul
            %li Ressources : Ajout d'un attribut pour le groupe de rotation de cultures
            %li Affichage du groupe de rotation sur les parcelles
            %li Ajout d'un filtre dans la librairie
        %li
          Ajout d'un bouton pour changer entre thème sombre/clair dans l'application. Il supplante la préférence
          de compte pour le navigateur actuel
        %li Ajout d'une page de préférences pour choisir les notifications par email
        %li
          Commentaires: premiers pas
          %ul
            %li
              Possibilité pour les membres de l'équipe d'écrire des commentaires sur les observations et tâches
              de la timeline
            %li
              Possibilité pour les membres de l'équipe d'écrire des commentaires sur les observations depuis les
              détails d'un élément
            %li
              Sur les jardins publics, possibilité pour les autres membres de l'instance d'écrire des commentaires sur
              les observations depuis les détails d'un élément ou depuis la timeline
            %li Possibilité pour les auteurs de modifier et (presque) supprimer ses propres commentaires
            %li
              Possibilité pour les possesseurs de carte de (presque) supprimer les commentaires des autres
              utilisateurs
            %li Tous les membres d'une équipe sont notifié dans l'app d'un nouveau commentaire
            %li
              Il est possible de recevoir les notifications de nouveau commentaire par courriel en activant
              cette préférence
    %li
      %strong Améliorations
      %ul
        %li Afficher une ligne lors de la remise à l'échelle d'une carte
        %li Afficher un point lors de la définition du centre d'une carte
        %li Améliorer le formulaire de création de carte avec de meilleures étapes
        %li Améliorer les formulaires d'édition de cartes pour correspondre au nouveau formulaire de création
        %li Carte du jardin: ajout des contrôles de carte dans la vue de jardin
        %li Librairie: ajout d'un bouton pour réinitialiser les filtres quand aucun résultat ne correspond
        %li Jardins publics: Amélioration de la disposition (espacements, termes)
        %li Observations: Amélioration de la liste
        %li Observations: Affichage du nombre d'observations dans les jardins/jardins publics
        %li Timelines: Améliorations des composants
    %li
      %strong Changements
      %ul
        %li
          La modification des observations est maintenant restreinte à leur auteurs. Les créateurs de carte peuvent
          toujours les supprimer
    %li
      %strong Corrections
      %ul
        %li Réorganiser les boites de dialogue pour éviter certains recouvrements de formulaires

= render 'changelog_entry', date: '07/09/2024',
                            version: '0.15.0',
                            title: "Calendrier, parcelles virtuelles et refonte de l'inventaire" do
  %ul
    %li
      %strong Nouvelles fonctionnalités
      %ul
        %li Ajout du support pour les calendriers en lecture seule
        %li Parcelles : Ajout du support de <em>parcelles virtuelles</em> : des parcelles non visibles sur la carte
        %li
          %strong API
          %ul
            %li
              Nouveau filtre sur les listes de tâches : <code>filters[status]</code> ; supporte <code>pending</code>,
              <code>overdue</code> et <code>done</code>.
    %li
      %strong Améliorations
      %ul
        %li Enregistrement des activités d'ajout d'élément
        %li Les emails liés au compte (Devise) utilisent maintenant le même gabarit d'email que les autres
        %li App : Amélioration des titres de page
        %li App : Support des éléments retirés dans le graph de coordination
        %li App : Affichage des années dans le graph de coordination
        %li App : Les éléments retirés d'une parcelle sont groupés par année
        %li
          App : Déplacement des onglets "Activité", "Équipe" et "Analyse de sol" dans un sous menu pour garder la vue
          adaptée sur mobile. Vous trouverez ces entrées à droite du bouton "Librairie"
        %li App : Refonte de la page d'inventaire
    %li
      %strong Changements
      %ul
        %li
          %strong API
          %ul
            %li
              Le filtre <code>pending=true</code> disponible pour les listings de tâches est maintenant
              <code>filters[status]=pending</code>.
    %li
      %strong Corrections
      %ul
        %li Ajout de traductions manquantes sur la page de gestion de compte
        %li Ne pas envoyer de mails Devise avec un en-tête "reply-to"
        %li Les traduction manquantes apparaitront maintenant en rouge... rouge pour ne pas les manquer.
        %li Tâches Rake : Arrondir les valeurs de la tâche <code>stats:show</code>
        %li Éléments : Retours de la possibilité de changer de calque
        %li Corrections mineurs d'affichage et de fonctionnement


= render 'changelog_entry', date: '09/02/2024', version: '0.14.0', title: 'Améliorations et jeton JWT' do
  %ul
    %li
      %strong Ajouté
      %ul
        %li
          Support de clés d'API (jetons JWT) pour faire des appels API depuis d'autres clients. Les origines sont
          configurables dans le fichier de configuration de l'instance.
    %li
      %strong Améliorations
      %ul
        %li Activation du cache pour toutes les données générales (familles, genres, ressources, ...)
        %li Affichage d'un petit cercle près du curseur lors du dessin de parcelles
        %li Lors de la sélection d'un élément seul, afficher un cercle au lieu d'un point
        %li Affichage d'une bulle d'aide lors du survol à la souris d'éléments de la carte
        %li Affichage d'erreurs 404 dans les applications VueJS (pas sur les erreurs Rails)
        %li Amélioration des boutons de contrôle de la carte
        %li Limitation du zoom sur les cartes avec une image personnalisée
        %li Amélioration des messages d'information affichés avant de supprimer des choses
        %li Limitation de la taille des écrans de chargement lors des changements d'onglet
        %li Amélioration des filtres sur l'onglet de coordination
        %li La suppression de compte nécessite la saisie du mot de passe actuel
        %li Amélioration de la page d'édition de préférences de compte
    %li
      %strong Correctifs
      %ul
        %li Correction des traductions d'erreurs de formulaire
        %li Correction du sélecteur de date dans le formulaire de récoltes
        %li Correction du plantage de l'application lors de la suppression d'une parcelle
        %li Correction de la clôture de compte pour les comptes avec beaucoup de données
    %li
      %strong Maintenance
      %ul
        %li Mise à jour de Rails vers 7.1
        %li Mise à jour de RiseUI vers 1.1.0
        %li Suppression de Storybook et utilisation du système de documentation de RiseUI
        %li Utilisation de Ruby 3.1 à la place de 2.7
        %li Utilisation de Node 20 à la place de of 16

= render 'changelog_entry', date: '18/09/2023', version: '0.13.3', title: 'Correctifs et RiseUI' do
  %ul
    %li
      %strong Améliorations
      %ul
        %li
          UI: Les composants VueJS communs ont été déplacés vers le dépot
          [RiseUI](https://gitlab.com/experimentslabs/garden-party/rise-ui/).
    %li
      %strong Corrections
      %ul
        %li Calques: Correction du bouton de suppression
        %li Calques: Empêcher les calques contenant des chemins d'être supprimés
        %li Calques: Améliorer la modale d'information lorsqu'une suppression est impossible

= render 'changelog_entry', date: '14/08/2023', version: '0.13.2', title: 'Corrections et parcelles vides' do
  %ul
    %li
      %strong Nouvelles fonctionnalités
      %ul
        %li Carte: Possibilité de dessiner des parcelles vides
    %li
      %strong Améliorations
      %ul
        %li
          Carte: Changement des fonds de parcelle pour les parcelles vides et les parcelles avec de multiples ressources
    %li
      %strong Correctifs
      %ul
        %li Sélecteur de resources: Prise en compte du cas où une ressource n'a pas de groupe d'interaction
        %li Carte: Correction de l'épaisseur de ligne des diamètres d'éléments
        %li Chemins: Ne dessiner qu'un chemin à la fois

= render 'changelog_entry', date: '26/07/2023', version: '0.13.1', title: 'Corrections' do
  %ul
    %li
      %strong Correctifs
      %ul
        %li Miniatures: Les miniatures ne sont chargées que lorsqu'elles sont visible
        %li Récolte: Correction du bouton pour supprimer une entrée

= render 'changelog_entry', date: '10/07/2023', version: '0.13.0', title: 'Récoltes' do
  %ul
    %li
      %strong Changements importants
      %ul
        %li Activation du mode "historique web" de VueJS pour les routes d'application. Mettez à jour vos favoris.
    %li
      %strong Nouvelles fonctionnalités
      %ul
        %li Introduction du système de suivi de récoltes.
        %li Timeline: Création d'une page pour afficher toutes les observations
        %li Timeline (jardins publics): Création d'une page pour afficher toutes les observations
        %li Observations: Ajout d'un bouton pour créer une observation depuis la modale d'observations
        %li Observations: Ajout de boutons pour éditer/supprimer une observation
        %li Tâches: Ajout d'un filtre pour afficher les tâches terminées
    %li
      %strong Améliorations
      %ul
        %li= merge_request_entry "Parcelles: Affichage des interactions lors de l'ajout de ressources", number: 237
        %li Service de la police Ubuntu via les assets
        %li Admin: Ajout d'un lien pour créer un nouveau genre depuis la vue <code>show</code> d'une famille
        %li Admin: Ajout d'un lien pour créer une nouvelle ressource depuis la vue <code>show</code> d'un genre
        %li Formulaire de tâche: Ajout d'une case à cocher pour définir si la tâche dans le passé est terminée
    %li
      %strong Correctifs
      %ul
        %li Resources: Correction d'un en-tête de page hardcodé
        %li Jardin: Correction de l'outil de dessin de chemins qui ne... dessinait plus
        %li Observations: Correction de l'affichage des images sur Chrome
        %li Jardin public: Correction du bouton pour afficher/masquer le paneau latéral sur mobile

= render 'changelog_entry', date: '02/07/2022', version: '0.12.0', title: 'Interactions' do
  %ul
    %li
      %strong Changements importants
      %ul
        %li= merge_request_entry "Modification du système d'interactions pour utiliser des groupes", number: 217
        %li= merge_request_entry 'Mise à jour de Ruby on Rails, version 7', number: 221
    %li
      %strong Améliorations
      %ul
        %li Librairie : Refonte de la page de ressources
        %li= issue_entry 'Données de confiance : Import/export et synchronisation des interactions', number: 108
        %li= issue_entry "Copie du nom de resource lors de la duplication d'éléments", number: 106
        %li= issue_entry 'Coordination : amélioration de la lisibilité des graphs', number: 107
        %li= issue_entry "Elements : Support pour le mode d'implantation", number: 94
        %li= merge_request_entry 'Parcelles : Tri des elements dans le détail des parcelles', number: 222
        %li= merge_request_entry 'Source de confiance : Support pour les packs multi-fichiers', number: 232
        %li= merge_request_entry "Jardin : Meilleur guidage de l'utilisateur pour dessiner des choses", number: 234
    %li
      %strong Corrections
      %ul
        %li Librairie : Recherche des familles et genres
        %li Librairie : Spécifier le sens des interactions incomplètes

= render 'changelog_entry', date: '05/04/2022', version: '0.11.2', title: 'Corrections' do
  %ul
    %li
      %strong Nouvelles fonctionalités
      %ul
        %li Console : Nouvelle tâche rake pour normaliser les données de la librairie
    %li
      %strong Améliorations
      %ul
        %li Librairie : Normalisation des données avant validation
        %li Élements : Ajout de l'unité pour le "diamètre actuel" dans le formulaire
    %li
      %strong Corrections
      %ul
        %li= issue_entry "Interactions : Corrections du formulaire lorsque l'interaction n'existe pas", number: 101
        %li Coordination : Les resources non groupées ne sont plus affichées en double
        %li Carte : Mise à jour des styles de manière asynchrone après mise à jour des parcelles et éléments seuls

= render 'changelog_entry', date: '30/03/2022', version: '0.11.1', title: 'Corrections' do
  %ul
    %li
      %strong Améliorations
      %ul
        %li= issue_entry 'Jardins: Ne pas précharger les images de toutes les ressources', number: 98
    %li
      %strong Corrections
      %ul
        %li= issue_entry "Coordination : Afficher les barres d'implantation à nouveau", number: 99

= render 'changelog_entry', date: '13/01/2022', version: '0.11.0', title: '' do
  -# haml-lint:disable LineLength
  %ul
    %li
      %strong Changements importants
      %ul
        %li Les clés de configuration ont changé
    %li
      %strong Nouvelles fonctionnalités
      %ul
        %li= merge_request_entry "Possibilité de dupliquer un élément au sein d'une parcelle", number: 202
        %li= merge_request_entry 'Coordination : Possibilité de grouper par ressource dans la vue de coordination'
        %li= merge_request_entry "Coordination : Possibilité d'ajouter des ressources dans la vue de coordination", number: 201
        %li= issue_entry "Bibliothèque : Le formulaire d'édition des interactions entre ressources est disponible aux membres", number: 88
    %li
      %strong Améliorations
      %ul
        %li= merge_request_entry "Changement de l'agencement des boutons d'actions suivant le contexte pour les éléments", number: 185
        %li= merge_request_entry 'Inventaire : Liste plus compacte', number: 185
        %li= issue_entry 'Carte : Possibilité de dessiner des chemins sans nom', number: 204
        %li Accueil : La page a été retravaillée
        %li Jardins : L'outil d'analyse de sol a été intégré à l'application et n'est plus disponible depuis l'accueil
        %li Jardins : La mise en page a un peu changé
    %li
      %strong Corrections
      %ul
        %li= merge_request_entry "Fix : Mise à l'échelle de la position des éléments seuls lors d'un changement d'échelle de la carte", number: 197
        %li= merge_request_entry "Fix : Impossibilité de supprimer une parcelle en tant qu'équipier", number: 194
        %li= merge_request_entry "Fix : Impossibilité de changer une date d'implantation en tant qu'équipier", number: 194
        %li= merge_request_entry "Fix : Icône de calque manquante dans la vue d'activité", number: 200
        %li= merge_request_entry "Fix : Affichage des noms d'éléments personnalisés dans les parcelles", number: 199
        %li= merge_request_entry "Fix : Erreur lors de la sauvegarde d'éléments sans dates", number: 195
        %li= issue_entry 'Fix : Des éléments supprimés apparaissent encore dans les résultats API', number: 91
        %li= issue_entry "Fix : Création d'une activité lors du déplacement d'un élément d'une parcelle à une autre", number: 96
    -# haml-lint:enable LineLength

= render 'changelog_entry', date: '04/03/2022', version: '0.10.0', title: 'Coordination' do
  %ul
    %li
      %strong Nouvelles fonctionnalités
      %ul
        %li
          Application: Création de la vue "coordination" qui permet d'afficher et de déterminer
          facilement les périodes de semis/récolte
    %li
      %strong Améliorations
      %ul
        %li Application: Affichage des étapes du chargement initial
        %li Application: Possibilité de chercher la ressource d'un élément dans son formulaire de modification
        %li Application: Possibilité de changer un élément de parcelle depuis le formulaire de modifiction
    %li
      %strong Corrections
      %ul
        %li Admin: Les périodes de semis/récolte sont à nouveau lisible
        %li Application: Les dimensions sont à nouveau lisible pendant le dessin
        %li Application: Correction des exceptions levées quand des actions sont engagées après un changement de carte
        %li Style: La couleur orange est un peu plus... orange
        %li API: Le champ <code>tag_list</code> renvoie bien la liste des tags
        %li Application: Les changements de couleurs de chemin sont appliqués quand le chemin est déselctionné

= render 'changelog_entry', date: '27/02/2022', version: '0.9.1', title: 'Correction rapide' do
  %ul
    %li
      %strong Corrections
      %ul
        %li Migrations: Correction d'une migration empêchant le passage de Garden Party 0.7 à 0.9

= render 'changelog_entry', date: '27/02/2022', version: '0.9.0', title: 'Lifting' do
  %ul
    %li
      %strong Changements importants
      %ul
        %li Développement: Abandon de Webpack au profit de Vite
        %li Développement: Passage à Vue 3.x
        %li Développement: Node 16.x est requis pour compiler le frontend
        %li API: Changement mineurs dans les réponses
    %li
      %strong Nouvelles fonctionnalités
      %ul
        %li Admin: `rake data:import_new` synchronise les nouvelles entrées de la source de confiance
        %li Admin: `rake stats:show` affiche le nombre de comptes inactifs
        %li Librairie: Filtres par tags
        %li Application: L'aide a commencé à être intégrée
    %li
      %strong Améliorations
      %ul
        %li Application: La plupart des composants du frontend ont été refaits
        %li Développement: Storyboot a été ajouté pour aider dans le développement de composants
    %li
      %strong Corrections
      %ul
        %li Admin: Correction de la recherche de resource
        %li API: Corrections des requêtes n+1 lors de la récupération de ressources

= render 'changelog_entry', date: '13/01/2022', version: '0.8.1', title: 'Performance' do
  Cette mise à jour se concentre principalement sur les performances d'affichage des
  librairies avec plus de 2000 ressources.

  %ul
    %li
      %strong Nouvelles fonctionnalités
      %ul
        %li Admin: Affichage du nombre d'utilisateurs inactifs dans les stats
        %li
          Admin: Ajout d'unt tâche pour synchroniser toutes les nouvelles resources
          depuis les données de confiance
        %li Librairie: Ajout de la recherche et de filtres
    %li
      %strong Améliorations
      %ul
        %li Amélioration des performances dans les sélecteurs de ressources
        %li Amélioration des performances dans la librairie

= render 'changelog_entry', date: '27/12/2021', version: '0.8.0', title: 'Administration et refonte' do
  %ul
    %li
      %strong Changements importants
      %ul
        %li API: Changements dans les requêtes et réponses
    %li
      %strong Nouvelles fonctionnalités
      %ul
        %li Librairie: Les utilisateurs peuvent laisser des notes publiques sur les ressources
        %li
          Librairie: Ajout de l'attribut "diamètre" aux ressources, correspondant
          à l'encombrement à maturité
        %li Librairie: Ajout des périodes de semis/récolte
        %li Librairie: Les utilisateurs peuvent maintenant modifier la liste de tags
        %li
          Inventaire: Ajout de l'attribut "diamètre" aux éléments implantés,
          correspondant à l'encombrement actuel.
        %li Carte: Affichage des encombrements (actuels et maximums)
        %li Admin: Pagination sur les pages d'index
        %li Admin: Recherche, filtres et tri sur les pages d'index
        %li Admin: Affichage de l'historique des modifications avec les différences
        %li Admin: Création d'une section pour maintenir les tags utilisés sur l'instance
        %li Admin: Création d'une section pour synchroniser la librairie avec une source de confiance
        %li Instance: Les mainteneurs peuvent maintenant afficher un message d'annonce sur la page d'accueil
        %li
          Carte: Les activités réalisées par les membres d'une carte sont maintenant journalisées
        %li
          Carte: Les tâches sont maintenant créées automatiquement pour certaines actions
    %li
      %strong Améliorations
      %ul
        %li Carte: Amélioration du sélecteur de style de chemin
        %li Carte: Le système d'"actions" a été découpé en "observations", "tâches" et "activités"
        %li Librairie: De multiples sources peuvent être définies
        %li Librairie: L'attribut "edible" (commestible) est enlevé ; les tags doivent être utilisés pour celà
    %li
      %strong Corrections
      %ul
        %li Carte/inventaire: L'édition des dates concernant un élément a été corrigé
        %li Petites corrections visuelles et autre bugs mineurs

= render 'changelog_entry', date: '31/10/2021', version: '0.7.0', title: "Travail d'équipe" do
  %ul
    %li
      %strong Changements importants
      %ul
        %li
          Les descriptions des familles et genres ont été retirées
        %li
          Les descriptions de ressources ne sont plus obligatoires
    %li
      %strong Nouvelles fonctionnalités
      %ul
        %li
          Support de couleur de fond de carte personnalisé
        %li
          Création du système de notifications
        %li
          Création du système d'équipes: des personnes peuvent-être invitées à
          collaborer dans un jardin avec tous les droits du propriétaire de la
          carte à l'exception de l'édition des paramètres de cette dernière.
        %li
          Possibilité d'assigner des coéquipiers aux tâches
    %li
      %strong Améliorations
      %ul
        %li
          Les images de resources sont maintenant générées par le client,
          réduisant le nombre de requêtes au serveur, et donc le temps de chargement
        %li
          Affichage des ressources enfant dans les résultats de recherche
        %li
          Les images jointes aux actions sont maintenant réduites avant d'être
          envoyées sur le serveur, réduidant le temps de téléversement
        %li
          Amélioration des tests et maintenance générale
    %li
      %strong Correctifs
      %ul
        %li
          Affichage de la bulle d'information avec la longueur dessinée lors
          du traçage de chemins ou de parcelles
        %li Correction de l'affichage des erreurs de formulaire
        %li Correction de requêtes PATCH qui échouaient
        %li Plusieur petits autres correctifs et améliorations

= render 'changelog_entry', date: '14/08/2021', version: '0.6.1', title: 'Vues mobile' do
  %ul
    %li
      Vues mobile pour les jardins, jardins publics et inventaire
    %li
      Correction du zoom lors d'un double-clic sur une popup de carte
    %li
      Ajout du support pour les seeds dans d'autres langues : les seeds en
      anglais ont été ajoutés
    %li
      Quelques correction mineures

= render 'changelog_entry', date: '01/08/2021', version: '0.6.0', title: "Plus d'actions" do
  %ul
    %li
      Support des tags composés
    %li
      Possibilité de prendre des notes pour une carte (non visible sur les cartes partagées)
    %li
      Possibilité de cacher les image de fond de carte
    %li
      Possibilité de créer des actions sur une carte, des parcelles et des
      chemins, en plus des actions sur les éléments
    %li
      Ajout d'une légende sur les cartes partagées

= render 'changelog_entry', date: '19/06/2021', version: '0.5.0', title: 'Tags sur les ressources' do
  %ul
    %li
      Oblige la présence d'une famille pour les genres (base de données)
    %li
      Les genres doivent maitenant avoir un nom unique (base de données, modèles)
    %li
      Les familles doivent maitenant avoir un nom unique (base de données, modèles)
    %li
      Le champ <code>kingdom</code> (règne) est maintenant dans les familles
      au lieu des genres
    %li
      Possibilité de modifier des élements une fois mis sur la carte (ressource
      et dates de mise en place/retrait)
    %li
      Possibilité de réaliser des actions sur les éléments non implantés
    %li
      Système de tags pour les resources
    %li
      Pied de page avec numéro de version de l'application

= render 'changelog_entry', date: '14/06/2021', version: '0.4.1', title: 'Améliorations diverses' do
  %ul
    %li
      Amélioration des vues d'administration avec plus de données et des liens
      inter-entités
    %li
      Correction des sources de genre qui n'étaient pas sauvegardées dans le
      formulaire de l'application
    %li
      Affichage des entités existantes lors de la création de familles, genres
      ou ressources pour aider à éviter les doublons
    %li
      Petites corrections de CSS, typos, traductions, ...

= render 'changelog_entry', date: '12/06/2021', version: '0.4.0', title: 'Amélioration de la bibliothèque' do
  %ul
    %li
      Ajout des noms latin aux ressources.
    %li
      Ajout des familles aux genres.
    %li
      Correction du lien de l'application vers la page d'acceuil.

= render 'changelog_entry', date: '07/06/2021', version: '0.3.0', title: 'Cartes publiques' do
  %ul
    %li
      Possibilité de partager publiquement une carte et son contenu

= render 'changelog_entry', date: '20/05/2021', version: '0.2.0', title: "Mise à l'échelle" do
  %ul
    %li
      Possibilité de définir une échelle sur les nouvelles cartes basées sur
      des images
    %li
      Possibilité de changer l'échelle d'une carte existante basée sur une
      image
    %li
      Possibilité de faire tourner des parcelles (hors éléments seuls)
    %li
      Possibilité de déplacer des parcelles (hors éléments seuls)
    %li
      Thème sombre basé sur les préférences du navigateur (pas de possibilité
      de changer depuis l'interface)
    %li
      Affichage des longueurs et aires lors de la création de parcelles et
      dessins
    %li
      Affichage des longueurs et aires sur les parcelles et dessins
    %li
      Changement de la manière de modifier les parcelles (bye bye, menu
      "Editer")

= render 'changelog_entry', date: '18/05/2021', version: '0.1.1', title: 'Corrections' do
  %ul
    %li
      Correction de la visibilité de la première ressource dans le sélecteur
      de la carte.
    %li
      Correction du formulaire de ressources: le champ "noms communs" est
      maintenant présent, et le champs "mangeable" est maintenant autorisé.

= render 'changelog_entry', date: '09/04/2021', version: '0.1.0', title: 'Gestion des calques' do
  %ul
    %li
      Ajout de la possibilité de réordonner les calques.

= render 'changelog_entry', date: '06/04/2021', version: '0.0.19', title: 'Améliorations bis' do
  %ul
    %li
      Possibilité de créer des activités personalisées sur les éléments implantés
      Add support for custom activities: when displaying available actions on
      an element, it is now possible to enter your own actions.
    %li
      Ajout d'une liste de couleurs pré-selectionnées pour les chemins
    %li
      Les chemins peuvent maintenant avoir des types de lignes différents. Une
      liste est proposée sur le formulaire.

= render 'changelog_entry', date: '30/03/2021', version: '0.0.18', title: 'Améliorations' do
  %p
    Cette version est principalement une reprise du code de l'application, sans
    trop d'impact sur son usage, mis à part :
  %ul
    %li
      Les tableaux ont une meilleure accessibilité
    %li
      Le fond des parcelles se met maintenant à jour lors de l'ajout/suppression
      de leurs éléments
    %li
      Les dates peuvent être entrées manuellement dans le sélecteur de dates :
      un click sur la date dans le sélecteur en affichera les contrôles. C'est
      donc plus facile d'entrer des dates loin dans le passé/futur.

= render 'changelog_entry', date: '19/03/2021', version: '0.0.17', title: 'Calques' do
  %ul
    %li
      Le système de calques a été revu : désormais, ils sont propres à un jardin.
      Les élements et dessins doivent maintenant être placés sur un calque lors
      de leur création (et peuvent être changés après).
    %li
      Les ressources communautaires ne sont plus liées aux calques.

= render 'changelog_entry', date: '09/03/2021', version: '0.0.16', title: 'Dessins' do
  %ul
    %li
      Il est maintenant possible de dessiner des formes sur la carte pour délimiter
      des zones, des chemins, ...
    %li
      L'interface de gestion de jardin est maintenant plus compacte et lisible.

= render 'changelog_entry', date: '11/02/2021', version: '0.0.15', title: 'Images!' do
  %ul
    %li
      Il est maintenant possible d'attacher des photos aux actions réalisées.
      Aux administrateurs : vous aurez besoin de <code>libvibs-dev</code>.
    %li
      Ajout d'un guide de migration pour les utilisateurs

= render 'changelog_entry', date: '01/02/2021', version: '0.0.14', title: 'Module de liens' do
  %ul
    %li
      Création du module de "liens" pour partager des URLs avec la communauté.
      Les liens doivent être approuvés par un administrateur avant d'être publiés.
      There is no API endpoint for links.
    %li Le menu d'administration est plus lisible.

= render 'changelog_entry', date: '15/01/2021', title: 'Outil d\'analyse de sol' do
  %ul
    %li
      Création d'un
      = link_to 'outil', tools_soil_analysis_path
      permettant d'aider à connaître la composition de son sol.

= render 'changelog_entry', date: '03/01/2021', version: '0.0.13', title: 'Contenu communautaire' do
  %ul
    %li
      Les membres peuvent maintenant créer des genres et des ressources, qui seront
      disponibles pour la communauté.
    %li
      Les membres peuvent maintenant modifier les genres et les ressources existantes.
    %li
      Quand on accède à l'application, la dernière carte utilisée est chargée
      automatiquement.
    %li
      Dans la librairie, les variantes d'une resource sont affichées.

= render 'changelog_entry', date: '03/01/2021' do
  %ul
    %li
      Amélioration des traductions françaises
      (merci à <a href="https://gitlab.com/eliovir" rel="noopener noreferrer">eliovir</a>)

= render 'changelog_entry', date: '17/12/2020' do
  %ul
    %li
      Amélioration du retours visuel lors de la validation d'un formulaire
    %li
      Amélioration du style des blocs d'alerte
    %li
      Les instances sont maitenant configurables avec un fichier YAML.

= render 'changelog_entry', date: '15/12/2020', title: 'Documentation' do
  %ul
    %li
      Ajout de liens vers la documentation utilisateur
    %li
      Amélioration du sélecteur de dates pour les actions

= render 'changelog_entry', date: '09/12/2020', title: 'Corrections' do
  %ul
    %li
      Une erreur empêchait la création d'actions dans le futur et a été corrigée.

= render 'changelog_entry', date: '07/12/2020', version: '0.0.12', title: 'Planification' do
  %ul
    %li
      Des changements apportés aux éléments permettent maintenant de planifier
      à l'avance la date à laquelle ils seront retirés des parcelles.
    %li
      Des changements ont été apportés sur l'inventaire pour le rendre plus
      lisible.

= render 'changelog_entry', date: '06/12/2020', title: 'Maintenance' do
  %ul
    %li
      Les actions sont maintenant <em>polymorphiques</em>. L'attribut <code>
      element_id</code> a été remplacé par <code>subject_id</code> et <code>
      subject_type</code>.
    %li
      Écriture des premiers tests Cucumber
      Write Cucumber tests for the "Inventory" view.

= render 'changelog_entry', date: '05/12/2020', title: 'Maintenance' do
  %ul
    %li
      La table "crops" a été renommée en "elements".

= render 'changelog_entry', date: '04/12/2020', title: 'Tâches' do
  %ul
    %li
      Création d'une page de tâches, listant toutes les actions en attente
      jour par jour.

= render 'changelog_entry', date: '03/12/2020', version: '0.0.11', title: 'Planification' do
  %ul
    %li
      Création du système de planification d'actions : une action sur une culture
      peut maintenant être définie dans le futur, et être validée une fois faite.
      Pratique pour planifier ses tailles d'une année à l'autre !

= render 'changelog_entry', date: '01/12/2020', title: 'Recherche' do
  %ul
    %li
      Création d'un champ de recherche pour trouver des ressources plus facilement.
    %li
      Correction de la selection de sous-resources.
    %li
      Création de la zone d'administration pour les interactions entre ressources.

= render 'changelog_entry', date: '29/11/2020', version: '0.0.10', title: 'Enlèvement de ressources' do
  %ul
    %li
      Il est possible d'enlever une ressource d'une parcelle. La ressource sera
      marquée comme "enlevée" et n'apparaîtra plus sur la carte.
      L'élément sera tout de même visible dans l'inventaire, afin de pouvoir le
      consulter.
    %li
      Il est maintenant possible de supprimer ses propres cartes.
    %li
      Une confirmation est maintenant demandée lors de la suppression d'éléments.
    %li
      Quelques améliorations de l'interface, correction d'affichage pour Chrome.
    %li
      Lors de la création/suppression/mise à jour d'éléments, un retours est
      maintenant fait à l'utilisateur
    %li
      Les erreurs de formulaire sont maintenant affichées.

= render 'changelog_entry', date: '28/11/2020', version: '0.0.9', title: 'Actions' do
  %ul
    %li
      Il est possible de déterminer quand une ressource
      a été ou sera placée dans le monde réel.
    %li
      Création d'un système d'actions simples: il est maintenant possible d'effectuer
      des actions sur les cultures (plantes placées dans une parcelle) et d'y associer
      une note.
    %li
      Un tableau récapitulatif des actions menées sur chaque culture est disponible.

= render 'changelog_entry', date: '26/11/2020', version: '0.0.8', title: 'Authentification' do
  %ul
    %li
      Mise en place de l'authentification des utilisateurs.
    %li
      Les cartes appartiennent maintenant à quelqu'un !
    %li
      Mise en place du système d'autorisations : un utilisateur ne peut
      modifier que ses cartes.

= render 'changelog_entry', date: '19/11/2020', version: '0.0.7', title: 'Administration' do
  %ul
    %li
      Création de la partie d'administration pour les niveaux, plantes, et genres.

= render 'changelog_entry', date: '19/11/2020', version: '0.0.6', title: 'Fusion des projets' do
  %ul
    %li
      Fusion du <em>frontend</em> et du <em>backend</em> en une seule application
      Ruby On Rails.
    %li
      Amélioration des outils de développement (générateurs de code, principalement).

= render 'changelog_entry', date: '11/11/2020', version: '0.0.5', title: 'Ressources' do
  %ul
    %li
      Les plantes sont maintenant des <em>ressources</em>. Un nom plus générique, mais qui
      permet d'intégrer le vivant (insectes, ...) dans les cartes.
    %li
      Création du concept d'interactions entre ressources.
    %li
      Création du concept de "groupe de plantes" : une plante "générique" (ex. : tomate)
      peut avoir plusieur variantes spécifiques (ex. : cœur de boeuf, tomate ananas),
      permettant de placer des éléments sans en connaitre la variété à l'avance.
    %li
      Ajout d'attributs aux ressources: Noms communs, mangeable.
    %li
      Ajout d'attributs aux genres: Règne (animal/végétal).

= render 'changelog_entry', date: '11/11/2020', version: '0.0.4', title: 'Genre des plantes' do
  %ul
    %li
      Intégration des genres des plantes.

= render 'changelog_entry', date: '08/11/2020', version: '0.0.3', title: 'Intégration' do
  %ul
    %li
      Le <em>backend</em> fonctionne avec le <em>frontend</em> !
    %li
      Génération automatique des marqueurs de carte pour les plantes.

= render 'changelog_entry', date: '06/11/2020', version: '0.0.2', title: 'Documentation Swagger' do
  %ul
    %li
      Mise en place de la documentation <em>Swagger</em>, disponible sur
      <a href="/swagger.json" target="_blank">le projet</a>.
    %li
      Intégration du concept de "parcelles" : une parcelle peut contenir plusieur
      cultures

= render 'changelog_entry', date: '05/11/2020', version: '0.0.1', title: 'Création du backend' do
  %ul
    %li Création d'une API Ruby On Rails
    %li Création du système de base : cartes, plantes, cultures, identique à la preuve de concept

= render 'changelog_entry', date: '31/10/2020', title: 'Preuve de concept' do
  %ul
    %li Création d'une interface sans base de données pour tester l'idée.
